%define upstream_name	 Sub-Identify
%define upstream_version 0.04

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Retrieve names of code references
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
Sub::Identify allows you to retrieve the real name of code references. For
this, it uses perl's introspection mechanism, provided by the B module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml
%{perl_vendorarch}/Sub
%{perl_vendorarch}/auto/Sub
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-5.mga3
+ Revision: 372888
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-4.mga3
+ Revision: 251148
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.40.0-3.mga2
+ Revision: 103646
- perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 0.40.0-2.mga1
+ Revision: 24476
- fix specs
- imported package perl-Sub-Identify

